#ifndef INCOMINGTCPARSER_H
#define INCOMINGTCPARSER_H

#include <QObject>

class IncomingTCParser : public QObject
{
    Q_OBJECT
public:
    explicit IncomingTCParser(QObject *parent = 0);

    void processIncomingQByteArray(QByteArray incomingQByteArray);

signals:
    void sendMessage( QString );
    void sendPacketUsingSpaceWire( QByteArray packet );

public slots:

private:
    QByteArray localDataArray;
    bool incompleteData;

};

#endif // INCOMINGTCPARSER_H
